Store Locator 1.2.28.3 is Required for WordPress 2.8.1 and Above

Quick Note: Please update to at least Store Locator 1.2.28.3 if you decide to use WordPress 2.8.1 and above.
Due to security tightening measures implemented by the WordPress development team, tweaks were made to the WordPress Store Locator plugin, and you will reap those security benefits with version 1.2.28.3.

… More updates in the next few days. All your enthusiasm for this plugin is impressive, working hard towards the next phase, including Version 1.3 and beyond …

Opt In Image
Become An Insider and Receive the Latest News & Benefits Now

Share:



    

    17 Responses to “Store Locator 1.2.28.3 is Required for WordPress 2.8.1 and Above”

    1. Michelle says:

      Thank you so much, what a great plugin!

      I have the latest version running (1.2.29) and have a question. After I create a location, I can’t figure out how to edit any of the additional fields I added. For instance if I added an image, I can’t figure out how to change it. The “edit” button only allows me to edit the name, address, coordinates and tags. Is there any way to edit the full information? I hate to have to delete and start over every time.

      thank you!
      Michelle

      • admin says:

        Thank you for those kind words Michelle …

        On the “Manage Locations” page, click on the “Change View” link at the top left, below the “Manage Locations” heading. Make sure that your current view says “Expanded” instead or “Normal” , and now you can edit everything you need to

    2. Shaun says:

      After installing the plugin, and activating it, I receive a “You do not have sufficient permissions to access this page.” message. I am an Administrator on the WP installation.

      Please help.

      • admin says:

        Hello Shaun … Please make sure that you are at least using version 1.2.28.3 of the Store Locator plugin … then this message will go away

    3. Mike says:

      Hello,

      First off, great plugin. I have 2 requests.
      1. I’m currently using 1.2.22 with wordpress 2.7.1. If I use the “update” feature you built in, should it update to 1.2.28.3 and still work (with wordpress 2.7.1) without any hiccups?
      2. I’d also like to run two instances of a store locater (one for one branch of stores, second for another). I figure I could rename another folder to store-locator2, and dig through the php changing all references to store-locator to store-locator2. Then I was thinking, I would also want it to store in a separate database, so I’d have to make sure they weren’t referring to the same location in the wordpress database. I presume it is doable, but I’d like to get the input from you.

      Thanks

      • admin says:

        Hi Mike, To answer your questions….

        1) Yes, it will update to the latest version, which is actually 1.2.29 as of today

        2) That’s quite an interesting, maybe overly complex way of doing it, it seems … however, if you really need customization to help better allow you to do this, feel free to email support [at] viadat [dot] com

    4. edhkirk says:

      Where can I find some definitive information showing the installation details for Store Locator that covers permission and the htaccess issue?

      Which files and directories are supposed to have 644 and which ones are supposed to have 755?

      Where can I download the proper htaccess file for replacement?

    5. Mike says:

      FYI, I figured out a much easier way to do it. I just edited three files, generate-xml.php, functions.sl.php and store-locator.js.
      1. In store-locator.js, I copied the searchLocations function, and created a searchLocations2() and searchLocations3(), each one calls searchLocationsNear, with an additional parameter (identifying the store code).
      2. I then added “…radius + ‘&storeid=’+storeId;” to the end of the generate-xml.php call in searchLocationsNear
      3. Then in generate-xml.php, I added “$storeType = $_GET["storeid"];” and then created a switch statement around $query = sprintf(), and depending on the storeid, I would call a slightly different mysql query, by changing to “…store_locator WHERE sl_description = ‘unique Store Name’ HAVING…”
      4. lastly, functions.sl.php, adding the new unique ‘|\[STORE2-LOCATOR|' to the preg match, and adjusting accordingly

      It works perfectly, so long as you don't try to use [STORE-LOCATOR] and [STORE2-LOCATOR] in the same page, as the script will only add the first one.

    6. Peter says:

      Great plugin, works brilliantly.
      Can you explain the tags feature. I understand tags in relation to posts but can’t see the result of tags added to the store locator.
      thanks

    7. BEERA says:

      want some help regarding installation store locater

    8. Core Team says:

      Thanks for the plugin. It works brilliantly for our home location (USA). My question: Markers only show up in USA. We have locations in other countries. I started to add stores from Australia, but markers do not appear in this region. Even if I change location to Australia, they don’t show up.
      Is there a place in the code that I can change so markers show up all over the globe?
      http://www.bulletcable.com/dealer-locations/

    You now have the power to create sites in WordPress which showcase your important stores or other important locations in an easily searchable manner. Learn More
    Cart

    Your shopping cart is empty.

    View Upgrades & Themes »